Bug 445155 - almost all USB media players are missing "portable_audio_player" capability
almost all USB media players are missing "portable_audio_player" capability
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-04 18:29 EDT by Jonathan Matthew
Modified: 2013-03-05 22:55 EST (History)
4 users (show)

See Also:
Fixed In Version: 20080508-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 06:57:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Matthew 2008-05-04 18:29:40 EDT
The current version of hal-info (20080317) does not add the
'portable_audio_player' capability to most USB media players, so rhythmbox (and
anything else that relies on that capability) ignores them.  Launchpad bug
215761 has a more detailed analysis.

This commit fixes it:  
Comment 1 Matthias Clasen 2008-05-05 12:09:18 EDT
We should really get this package moved over to Richard...
Comment 2 Richard Hughes 2008-05-06 12:13:43 EDT
David, want me to build a new version for F9 updates?
Comment 3 Matthias Clasen 2008-05-08 14:30:21 EDT
Richard, please go ahead and do so
Comment 4 Richard Hughes 2008-05-09 06:12:32 EDT
Done in http://koji.fedoraproject.org/koji/taskinfo?taskID=601434 - do you want
me to build the new HAL for F9 updates too? The old version was 0.5.11rc2 and
the new is 0.5.11, so it should be safe.
Comment 5 Matthias Clasen 2008-05-09 12:48:03 EDT
Yeah, I think thats a good idea, unless David has objections. 

Have you been introduced to bodhi, Richard ?
Comment 6 Richard Hughes 2008-05-09 16:15:43 EDT
Sure, I'll build it too. I've looked at bohdi, but how do I get the package from
koji to bohdi? I've tried
https://admin.fedoraproject.org/updates/search/hal-info to no avail. Thanks.
Comment 7 Matthias Clasen 2008-05-11 23:25:45 EDT
There is no need to 'get the package into bodhi'
Once you've built the package, log in to bodhi and file an update with the nvr
(bodhi does have a nifty autocompletion popup to help you with that)
Comment 8 Fedora Update System 2008-05-12 05:14:34 EDT
hal-info-20080508-1.fc9 has been submitted as an update for Fedora 9
Comment 9 Fedora Update System 2008-05-13 11:20:46 EDT
hal-info-20080508-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hal-info'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-3669
Comment 10 Bug Zapper 2008-05-14 06:38:19 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 11 Fedora Update System 2008-05-21 06:57:48 EDT
hal-info-20080508-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.